package modele;

import javafx.beans.property.*;

public abstract class Sensor {
    int id;
    StringProperty name;
    double weight;
    private Property<Double> temp = new SimpleObjectProperty<>(0d);

    public void setTemp(double tmp){
        this.temp.setValue(tmp);
    }

    public double getTemp() {
        return temp.getValue();
    }
    public StringProperty getName(){
        return name;
    }

    public Property<Double> getTempProperty(){
        return temp;
    }

    public abstract double generateTemperature();

}
